import { NumberOfColumns } from './row.type';
import * as i0 from "@angular/core";
export declare class RowDirective {
    /**
     * The number of columns/offset/order on extra small devices (<576px).
     * @return { cols: 'auto' | number }
     */
    readonly xs: import("@angular/core").InputSignal<NumberOfColumns | undefined>;
    /**
     * The number of columns/offset/order on small devices (<768px).
     * @return { cols: 'auto' | number }
     */
    readonly sm: import("@angular/core").InputSignal<NumberOfColumns | undefined>;
    /**
     * The number of columns/offset/order on medium devices (<992px).
     * @return { cols: 'auto' | number }
     */
    readonly md: import("@angular/core").InputSignal<NumberOfColumns | undefined>;
    /**
     * The number of columns/offset/order on large devices (<1200px).
     * @return { cols: 'auto' | number }
     */
    readonly lg: import("@angular/core").InputSignal<NumberOfColumns | undefined>;
    /**
     * The number of columns/offset/order on X-Large devices (<1400px).
     * @return { cols: 'auto' | number }
     */
    readonly xl: import("@angular/core").InputSignal<NumberOfColumns | undefined>;
    /**
     * The number of columns/offset/order on XX-Large devices (≥1400px).
     * @return { cols: 'auto' | number }
     */
    readonly xxl: import("@angular/core").InputSignal<NumberOfColumns | undefined>;
    readonly hostClasses: import("@angular/core").Signal<Record<string, boolean>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RowDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RowDirective, "[cRow]", never, { "xs": { "alias": "xs"; "required": false; "isSignal": true; }; "sm": { "alias": "sm"; "required": false; "isSignal": true; }; "md": { "alias": "md"; "required": false; "isSignal": true; }; "lg": { "alias": "lg"; "required": false; "isSignal": true; }; "xl": { "alias": "xl"; "required": false; "isSignal": true; }; "xxl": { "alias": "xxl"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
