import { AnimationEvent } from '@angular/animations';
import { ElementRef, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { NavigationEnd, Router } from '@angular/router';
import { Observable, Subscription } from 'rxjs';
import { SidebarComponent } from '../sidebar/sidebar.component';
import { INavData } from './sidebar-nav';
import { SidebarNavHelper } from './sidebar-nav.service';
import * as i0 from "@angular/core";
export declare class SidebarNavGroupComponent implements OnInit, OnDestroy {
    #private;
    readonly helper: SidebarNavHelper;
    constructor();
    item: any;
    dropdownMode: 'path' | 'none' | 'close';
    show?: boolean;
    compact?: boolean;
    get hostClasses(): any;
    sidebarNav: ElementRef;
    navigationEndObservable: Observable<NavigationEnd>;
    navSubscription: Subscription;
    navGroupSubscription: Subscription;
    open: boolean;
    navItems: INavData[];
    display: any;
    ngOnInit(): void;
    samePath(url: string): boolean;
    openGroup(open: boolean): void;
    toggleGroup($event: any): void;
    ngOnDestroy(): void;
    onAnimationStart($event: AnimationEvent): void;
    onAnimationDone($event: AnimationEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SidebarNavGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SidebarNavGroupComponent, "c-sidebar-nav-group", never, { "item": { "alias": "item"; "required": false; }; "dropdownMode": { "alias": "dropdownMode"; "required": false; }; "show": { "alias": "show"; "required": false; }; "compact": { "alias": "compact"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_compact: unknown;
}
export declare class SidebarNavComponent implements OnChanges {
    #private;
    readonly sidebar: SidebarComponent | null;
    readonly helper: SidebarNavHelper;
    readonly router: Router;
    navItems?: INavData[];
    dropdownMode: 'path' | 'none' | 'close';
    groupItems?: boolean;
    compact?: boolean;
    get hostClasses(): any;
    role: string;
    navItemsArray: INavData[];
    ngOnChanges(changes: SimpleChanges): void;
    hideMobile(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SidebarNavComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SidebarNavComponent, "c-sidebar-nav", never, { "navItems": { "alias": "navItems"; "required": false; }; "dropdownMode": { "alias": "dropdownMode"; "required": false; }; "groupItems": { "alias": "groupItems"; "required": false; }; "compact": { "alias": "compact"; "required": false; }; "role": { "alias": "role"; "required": false; }; }, {}, never, ["*"], true, never>;
    static ngAcceptInputType_groupItems: unknown;
    static ngAcceptInputType_compact: unknown;
}
