import { FocusableOption, FocusOrigin } from '@angular/cdk/a11y';
import { InputSignal, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TabDirective implements FocusableOption, OnInit {
    #private;
    /**
     * Disabled attribute
     * @return boolean
     * @default false
     */
    readonly disabledInput: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    readonly attrDisabled: import("@angular/core").Signal<true | null>;
    set disabled(value: boolean);
    get disabled(): boolean;
    /**
     * Item key.
     * @type string | number
     * @required
     */
    readonly itemKey: InputSignal<string | number>;
    /**
     * Element id attribute
     * @type string
     * @default undefined
     */
    readonly id: InputSignal<string | undefined>;
    /**
     * aria-controls attribute
     * @type string
     * @default undefined
     */
    readonly ariaControls: InputSignal<string | undefined>;
    readonly isActive: import("@angular/core").WritableSignal<boolean>;
    readonly hostClasses: import("@angular/core").Signal<Record<string, boolean>>;
    readonly propId: import("@angular/core").Signal<string>;
    readonly attrAriaControls: import("@angular/core").Signal<string>;
    focus(origin?: FocusOrigin): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TabDirective, "button[cTab]", ["cTab"], { "disabledInput": { "alias": "disabled"; "required": false; "isSignal": true; }; "itemKey": { "alias": "itemKey"; "required": true; "isSignal": true; }; "id": { "alias": "id"; "required": false; "isSignal": true; }; "ariaControls": { "alias": "aria-controls"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
