import { OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TabContentRefDirective implements OnChanges, OnDestroy {
    #private;
    constructor();
    /**
     * Template Ref
     * @type TemplateRef
     */
    tabContentRef: any;
    /**
     * Set active state of tab content
     * @type boolean
     * @default false
     */
    set active(value: boolean);
    get active(): boolean;
    /**
     * Set disabled state of tab content
     * @type boolean
     */
    set disabled(value: boolean);
    get disabled(): boolean;
    /**
     * c-tab-pane index respectively
     * @type number
     */
    tabPaneIdx: number;
    get hostClasses(): {
        active: boolean;
        disabled: boolean;
    };
    get isDisabled(): boolean | null;
    get attrDisabled(): "" | null;
    private get ariaSelected();
    role: string;
    get getTabindex(): string | null;
    ngOnChanges(changes: SimpleChanges): void;
    toggleOpen($event: any): void;
    setActiveTabPane(): void;
    ngOnDestroy(): void;
    subscribeTabService(subscribe?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabContentRefDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TabContentRefDirective, "[cTabContent]", never, { "tabContentRef": { "alias": "cTabContent"; "required": false; }; "active": { "alias": "active"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "tabPaneIdx": { "alias": "tabPaneIdx"; "required": false; }; "role": { "alias": "role"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_active: unknown;
    static ngAcceptInputType_disabled: unknown;
    static ngAcceptInputType_tabPaneIdx: unknown;
}
