import { ChangeDetectorRef, ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { ToasterService } from '../toaster/toaster.service';
import * as i0 from "@angular/core";
type AnimateType = 'hide' | 'show';
export declare class ToastComponent implements OnInit, OnDestroy {
    #private;
    readonly changeDetectorRef: ChangeDetectorRef;
    readonly hostElement: ElementRef<any>;
    readonly renderer: Renderer2;
    readonly toasterService: ToasterService;
    readonly dynamic: import("@angular/core").InputSignal<boolean | undefined>;
    readonly placementInput: import("@angular/core").InputSignal<string | undefined>;
    get placement(): string | undefined;
    /**
     * Auto hide the toast.
     * @return boolean
     */
    readonly autohide: import("@angular/core").InputSignal<boolean>;
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors.
     * @return Colors
     */
    readonly color: import("@angular/core").InputSignal<string>;
    /**
     * Delay hiding the toast (ms).
     * @return number
     */
    readonly delay: import("@angular/core").InputSignalWithTransform<number, unknown>;
    /**
     * Apply fade transition to the toast.
     * @return boolean
     */
    readonly fade: import("@angular/core").InputSignal<boolean>;
    /**
     * Toggle the visibility of component.
     * @return boolean
     */
    readonly visibleInput: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    set visible(value: boolean);
    get visible(): boolean;
    /**
     * @ignore
     */
    readonly index: import("@angular/core").InputSignalWithTransform<number, unknown>;
    /**
     * Event emitted on visibility change. [docs]
     * @return <boolean>
     */
    readonly visibleChange: import("@angular/core").OutputEmitterRef<boolean>;
    /**
     * Event emitted on timer tick. [docs]
     * @return number
     */
    readonly timer: import("@angular/core").OutputEmitterRef<number>;
    private timerId;
    private clockId;
    private clockTimerId;
    private _clock;
    get clock(): number;
    set clock(value: number);
    readonly animationDisabled: import("@angular/core").Signal<boolean>;
    get animateType(): AnimateType;
    readonly hostClasses: import("@angular/core").Signal<Record<string, boolean>>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    setTimer(): void;
    clearTimer(): void;
    onClose(): void;
    setClock(): void;
    clearClock(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToastComponent, "c-toast", ["cToast"], { "dynamic": { "alias": "dynamic"; "required": false; "isSignal": true; }; "placementInput": { "alias": "placement"; "required": false; "isSignal": true; }; "autohide": { "alias": "autohide"; "required": false; "isSignal": true; }; "color": { "alias": "color"; "required": false; "isSignal": true; }; "delay": { "alias": "delay"; "required": false; "isSignal": true; }; "fade": { "alias": "fade"; "required": false; "isSignal": true; }; "visibleInput": { "alias": "visible"; "required": false; "isSignal": true; }; "index": { "alias": "index"; "required": false; "isSignal": true; }; }, { "visibleChange": "visibleChange"; "timer": "timer"; }, never, ["*"], true, never>;
}
export {};
