import { ComponentRef, Injector, NgModuleRef, OnInit, ViewContainerRef } from '@angular/core';
import { IToasterAction } from './toaster.service';
import { ToasterHostDirective } from './toaster-host.directive';
import * as i0 from "@angular/core";
export declare enum ToasterPlacement {
    Static = "static",
    TopStart = "top-start",
    TopCenter = "top-center",
    TopEnd = "top-end",
    MiddleStart = "middle-start",
    MiddleCenter = "middle-center",
    MiddleEnd = "middle-end",
    BottomStart = "bottom-start",
    BottomCenter = "bottom-center",
    BottomEnd = "bottom-end"
}
export type TToasterPlacement = ToasterPlacement.Static | ToasterPlacement.TopStart | ToasterPlacement.TopCenter | ToasterPlacement.TopEnd | ToasterPlacement.MiddleStart | ToasterPlacement.MiddleCenter | ToasterPlacement.MiddleEnd | ToasterPlacement.BottomStart | ToasterPlacement.BottomCenter | ToasterPlacement.BottomEnd | string;
export declare class ToasterComponent implements OnInit {
    #private;
    placements: ToasterPlacement[];
    toastsDynamic: ComponentRef<any>[];
    /**
     * Toaster placement
     * @return TToasterPlacement
     */
    readonly placementInput: import("@angular/core").InputSignal<string>;
    get placement(): string;
    /**
     * Toaster position
     * @return (string | 'absolute' | 'fixed' | 'static')
     */
    readonly position: import("@angular/core").InputSignal<string>;
    readonly toasterHost: import("@angular/core").Signal<ToasterHostDirective>;
    readonly contentToasts: import("@angular/core").Signal<readonly ViewContainerRef[]>;
    readonly hostClasses: import("@angular/core").Signal<Record<string, boolean>>;
    ngOnInit(): void;
    addToast(toast: any, props: any, options?: {
        index?: number;
        injector?: Injector;
        ngModuleRef?: NgModuleRef<unknown>;
        projectableNodes?: Node[][];
    }): ComponentRef<any>;
    removeToast(state: IToasterAction): void;
    private stateToasterSubscribe;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToasterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToasterComponent, "c-toaster", ["cToaster"], { "placementInput": { "alias": "placement"; "required": false; "isSignal": true; }; "position": { "alias": "position"; "required": false; "isSignal": true; }; }, {}, ["contentToasts"], ["*"], true, never>;
}
